// -*-c++-*-

/*
 *Copyright:

 Copyright (C) Hiroki SHIMORA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef ACTGEN_COOPERATIVE_OFFSIDE_LINE_PASS_H
#define ACTGEN_COOPERATIVE_OFFSIDE_LINE_PASS_H

#include "action_generator.h"

#include <vector>

class ActGen_CooperativeOffsideLinePass
    : public ActionGenerator {

public:
    ActGen_CooperativeOffsideLinePass();

    virtual
    ~ActGen_CooperativeOffsideLinePass();

    virtual
    void generate( std::vector< ActionStatePair > * result,
                        const rcsc::PredictState & state,
                        const rcsc::WorldModel & current_wm,
                        const std::vector< ActionStatePair > & path ) const;
};

#endif
